Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.terracotta.servlet
Class TerracottaSessionManager.SessionData

    java.lang.Object
      org.mortbay.terracotta.servlet.TerracottaSessionManager.SessionData

Enclosing class:
  TerracottaSessionManager

    public static class TerracottaSessionManager.SessionData

extends java.lang.Object

The session data that is distributed to cluster nodes via Terracotta.

Constructor Summary
`TerracottaSessionManager.SessionData(java.lang.String sessionId, long maxIdleMs)`

Method Summary
`protected java.util.Map` | `getAttributeMap()`
`long` | `getCookieTime()`
`long` | `getCreationTime()`
`long` | `getExpirationTime()`
`java.lang.String` | `getId()`
`long` | `getPreviousAccessTime()`
`void` | `setCookieTime(long time)`
`void` | `setExpirationTime(long time)`
`void` | `setPreviousAccessTime(long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerracottaSessionManager.SessionData

    public TerracottaSessionManager.SessionData(java.lang.String sessionId,
                                                long maxIdleMs)

Method Detail

### getId

    public java.lang.String getId()

### getAttributeMap

    protected java.util.Map getAttributeMap()

### getCreationTime

    public long getCreationTime()

### getExpirationTime

    public long getExpirationTime()

### setExpirationTime

    public void setExpirationTime(long time)

### getCookieTime

    public long getCookieTime()

### setCookieTime

    public void setCookieTime(long time)

### getPreviousAccessTime

    public long getPreviousAccessTime()

### setPreviousAccessTime

    public void setPreviousAccessTime(long time)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.